For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://api-doc-new.gideononline.com/gideon-api-1-0/outbreak-alerts/llms.txt. For full documentation content, see https://api-doc-new.gideononline.com/gideon-api-1-0/outbreak-alerts/llms-full.txt.

# /diseases/{disease_code}/outbreaks/alerts

GET https://api.gideononline.com/diseases/10640/outbreaks/alerts

Returns a list of outbreaks of the given {disease_code} that were reported in the last since=$days.

#### **Query Parameters**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `since` | integer | Yes.  <br>Default = 5 | The number of past days to look back from today. For example, `since=2` returns outbreaks reported in the last 2 days. |

- **`outbreak_start`** _(deprecated)_ – Replaced by `outbreak_first_reported`. Do not use.
- **`outbreak_end`** _(deprecated)_ – Replaced by `outbreak_last_reported`. Do not use.
    

The `type` field in the outbreak response indicates the nature of the reported disease occurrence. It can have one or two comma-separated values:

| Value | Description |
| --- | --- |
| `outbreak` | A confirmed outbreak involving multiple cases linked by time and location. |
| `sporadic` | A single or isolated case not linked to other known cases. |
| `travelcase` | The case was imported from another country or region, typically through travel. |
| `outbreak,travelcases` | A cluster of travel-related cases that are considered part of an outbreak. |
| `sporadic,travelcase` | A single travel-related case that is not part of a known outbreak. |

> 

**Note:** Values may appear in combination (e.g., `outbreak,travelcases`) to indicate both the type of event and whether the case(s) were travel-related.

Reference: https://api-doc-new.gideononline.com/gideon-api-1-0/outbreak-alerts/diseases-disease-code-outbreaks-alerts

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /diseases/10640/outbreaks/alerts:
    get:
      operationId: diseases-disease-code-outbreaks-alerts
      summary: /diseases/{disease_code}/outbreaks/alerts
      description: >-
        Returns a list of outbreaks of the given {disease_code} that were
        reported in the last since=$days.


        #### **Query Parameters**


        | Name | Type | Required | Description |

        | --- | --- | --- | --- |

        | `since` | integer | Yes.  <br>Default = 5 | The number of past days to
        look back from today. For example, `since=2` returns outbreaks reported
        in the last 2 days. |


        - **`outbreak_start`** _(deprecated)_ – Replaced by
        `outbreak_first_reported`. Do not use.

        - **`outbreak_end`** _(deprecated)_ – Replaced by
        `outbreak_last_reported`. Do not use.
            

        The `type` field in the outbreak response indicates the nature of the
        reported disease occurrence. It can have one or two comma-separated
        values:


        | Value | Description |

        | --- | --- |

        | `outbreak` | A confirmed outbreak involving multiple cases linked by
        time and location. |

        | `sporadic` | A single or isolated case not linked to other known
        cases. |

        | `travelcase` | The case was imported from another country or region,
        typically through travel. |

        | `outbreak,travelcases` | A cluster of travel-related cases that are
        considered part of an outbreak. |

        | `sporadic,travelcase` | A single travel-related case that is not part
        of a known outbreak. |


        > 


        **Note:** Values may appear in combination (e.g.,
        `outbreak,travelcases`) to indicate both the type of event and whether
        the case(s) were travel-related.
      tags:
        - subpackage_outbreakAlerts
      parameters:
        - name: since
          in: query
          required: false
          schema:
            type: integer
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Outbreak
                  Alerts_/diseases/{disease_code}/outbreaks/alerts_Response_200
servers:
  - url: https://api.gideononline.com
  - url: https://api-test.gideononline.com
components:
  schemas:
    Diseases10640OutbreaksAlertsGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        id:
          type: string
        city:
          type: string
        href:
          type: string
        type:
          type: string
        cases:
          description: Any type
        state:
          type: string
        deaths:
          description: Any type
        region:
          type: string
        hash_id:
          type: string
          format: uuid
        latitude:
          type: string
        longitude:
          type: string
        update_date:
          type: string
        country_code:
          type: string
        country_name:
          type: string
        outbreak_end:
          description: Any type
        outbreak_start:
          description: Any type
        publication_year:
          type: string
        update_date_epoch:
          type: integer
        outbreak_last_reported:
          description: Any type
        outbreak_first_reported:
          description: Any type
      required:
        - id
        - city
        - href
        - type
        - state
        - region
        - hash_id
        - latitude
        - longitude
        - update_date
        - country_code
        - country_name
        - publication_year
        - update_date_epoch
      title: >-
        Diseases10640OutbreaksAlertsGetResponsesContentApplicationJsonSchemaDataItems
    Outbreak Alerts_/diseases/{disease_code}/outbreaks/alerts_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/Diseases10640OutbreaksAlertsGetResponsesContentApplicationJsonSchemaDataItems
        timestamp:
          type: integer
      required:
        - data
        - timestamp
      title: Outbreak Alerts_/diseases/{disease_code}/outbreaks/alerts_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

```

## SDK Code Examples

```python Outbreak Alerts_/diseases/{disease_code}/outbreaks/alerts_example
import requests

url = "https://api.gideononline.com/diseases/10640/outbreaks/alerts"

querystring = {"since":"2"}

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Outbreak Alerts_/diseases/{disease_code}/outbreaks/alerts_example
const url = 'https://api.gideononline.com/diseases/10640/outbreaks/alerts?since=2';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Outbreak Alerts_/diseases/{disease_code}/outbreaks/alerts_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.gideononline.com/diseases/10640/outbreaks/alerts?since=2"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Outbreak Alerts_/diseases/{disease_code}/outbreaks/alerts_example
require 'uri'
require 'net/http'

url = URI("https://api.gideononline.com/diseases/10640/outbreaks/alerts?since=2")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Outbreak Alerts_/diseases/{disease_code}/outbreaks/alerts_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.gideononline.com/diseases/10640/outbreaks/alerts?since=2")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php Outbreak Alerts_/diseases/{disease_code}/outbreaks/alerts_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.gideononline.com/diseases/10640/outbreaks/alerts?since=2', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Outbreak Alerts_/diseases/{disease_code}/outbreaks/alerts_example
using RestSharp;

var client = new RestClient("https://api.gideononline.com/diseases/10640/outbreaks/alerts?since=2");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Outbreak Alerts_/diseases/{disease_code}/outbreaks/alerts_example
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.gideononline.com/diseases/10640/outbreaks/alerts?since=2")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```